Subject: bug#34516: Multi-monitor frame sets

From: Juri Linkov <[email-masked]>
Date: Mon, 18 Feb 2019 23:16:01 +0200

>> Shouldn't frame.el provide a command like make-frame-on-display,
>> but to make a frame on the specified monitor instead of display?
>> 
>> Isn't the following patch the right way to do this?
>> (It also adds completion for the existing command):
>
> What kind of list does display-monitor-attributes-list return on your
> system, and how can you tell which part there refers to what physical
> monitor?

It returns a list with such meaningless monitor names as “LVDS”, “eDP-1”, “DP-2-2”,
etc. that don't help to refer to a physical monitor.  However, I noticed that
the only attribute that could help is ‘geometry’ in the form of (X Y WIDTH HEIGHT),
e.g. when two adjacent monitors have such geometry attributes:

  (geometry    0  0 1920 1080)
  (geometry 1920 16 2560 1440)

the right edge of the first monitor ends (1920px) is where the left edge
of the second monitor begins.  Based on this guess I tried to deduce
a relative placement of new frames, but maybe I'm wrong.